Permut8 Official Firmwares invalid data format

Shamik Ganguly41 views2 posts
  • Shamik Ganguly

    Hello! I bought Permut8 in September of last year (2019) and it has been a great creative tool. Thank you so much!

    I have been using the Official Firmwares and Permut8 v1 firmware packs successfully. However, this year I re-downloaded the Official Firmwares installer to check to see if there were new official firmwares available, and after I ran the installer, the Official Firmwares stopped working. The error message is "The operation could not be performed due to the error: Invalid data format (unsupported version?)". A screenshot is attached. The Permut8 v1 firmwares still work fine.

    It seems like the new versions of the Official Firmware that got installed are incompatible with my Permut8 install. I tried redownloading the Permut8 installer and reinstalling, but it didn't help.

    If there is a way I can reinstall the old versions of the Official Firmwares that might fix my problem! Is there an archived version I can have? I couldn't find one. Any help would be appreciated!

    permut8_version_error.PNG

    permut8_version_error_official_firmwares.PNG

    permut8_version_error_all_firmwares.PNG
  • Fredrik Lidström

    Yes, we did some changes to the firmware format between versions 1.1 and 1.2. You need to make sure that you are running version 1.2 of Permut8 (or even better, download the latest installer from our download page and verify that the about box says 1.2.1)

You need to be to post a reply

Sign In / Sign Up


First time here? Just enter your current email and sign up.
×